<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Automation Device Rules</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="automation-device-rules">Automation Device Rules</h1>
<p>This section will describe <strong>Device Rules</strong> in Cacti.</p>
<p>Cacti Automation relies on create device Rules these rules help the automation process figure out what type of device is being scanned. Based on the device rule REGEX the automation engine can apply the appropriate template to the device i.e if there is a REGEX for IOS. The automation engine may pick the Cisco router template for the device.</p>
<p><img src="images/automation-device-templates.png" alt="Automation Device Rules" /></p>
<p>Below you will be able to choose a REGEX that will help identify the device the REGEX can be in any Perl supported format. You can select either to match by system description i.e the device hostname or the system name i.e Cisco.</p>
<p>An example regex for Cisco would be (Cisco Internetwork Operating System Software|IOS) This matches based on the system name of the Cisco IOS software.</p>
<p>Using this info automation would apply the appropriate device template you choose. If you see below we match for a system that matches Linux once a device is found with that system name it is assigned the Net-SNMP device template.</p>
<p><img src="images/automation-device-templates-edit1.png" alt="Automation Device Rules Edit" /></p>
<p>If the System/Device you are matching has a unique OID you can also match based on that.</p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
